% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ggpedigree-package.R
\docType{package}
\name{ggpedigree-package}
\alias{ggpedigree-package}
\title{ggpedigree: Visualizing Pedigrees with 'ggplot2' and 'plotly'}
\description{
Provides plotting functions for visualizing pedigrees in behavior genetics and kinship research. The package complements 'BGmisc' [Garrison et al. (2024) \doi{10.21105/joss.06203}] by rendering pedigrees using the 'ggplot2' framework and offers a modern alternative to the base-graphics pedigree plot in 'kinship2' [Sinnwell et al. (2014) \doi{10.1159/000363105}]. Features include support for duplicated individuals, complex mating structures, integration with simulated pedigrees, and layout customization.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/R-Computing-Lab/ggpedigree/}
  \item \url{https://r-computing-lab.github.io/ggpedigree/}
  \item Report bugs at \url{https://github.com/R-Computing-Lab/ggpedigree/issues}
}

}
\author{
\strong{Maintainer}: S. Mason Garrison \email{garrissm@wfu.edu} (\href{https://orcid.org/0000-0002-4804-6003}{ORCID}) [copyright holder]

}
\keyword{internal}
